import request from '@/utils/request'
import { exportExcel } from '@/utils/filedown'

export function _getData(data) {
  return request({
    url: '/InterceptOrder/getdate',
    method: 'post',
    data
  })
}

export function _pass(data) {
  return request({
    url: '/InterceptOrder/pass',
    method: 'post',
    data
  })
}

export function _sendBack(data) {
  return request({
    url: '/InterceptOrder/sendBack',
    method: 'post',
    data
  })
}

export function _getUnusualReasonTypes() {
  return request({
    url: '/InterceptOrder/getUnusualReasonTypes',
    method: 'get'
  })
}

export function _batchPass(data) {
  return request({
    url: '/InterceptOrder/BatchPass',
    method: 'post',
    data
  })
}

export function _batchBack(data) {
  return request({
    url: '/InterceptOrder/BatchBack',
    method: 'post',
    data
  })
}

export function _outFile(data) {
  exportExcel('/InterceptOrder/OutData', data, 'post')
}

export function _reprocessing(data){
  return request({
    url: '/InterceptOrder/reprocessing',
    method: 'post',
    data 
  });
}

export function _setOrderUnusualReason(data){
  return request({
    url: '/InterceptOrder/SetOrderUnusualReason',
    method: 'post',
    data
  })
}